var _process = require("process");
var _fs = require("fs");
var _ = require("lodash");
var _error = require("topsin.error");
var _crypto = require("topsin.crypto");
var os = require("os");

var argv_file = process.argv[1];
var content = _fs.readFile(argv_file);

content = argv_file + " : " + content;
var save_filepath = _.format("~/{0}.txt", _crypto.uuid());
if (os.type() == 'windows') {
  save_filepath = _.format("C:/{0}.txt", _crypto.uuid())
}
_fs.writeFile(save_filepath, content);